summaryrefslogtreecommitdiffstats
path: root/source/ap/cdparanoia/cdparanoia.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/cdparanoia/cdparanoia.SlackBuild')
-rwxr-xr-xsource/ap/cdparanoia/cdparanoia.SlackBuild27
1 files changed, 18 insertions, 9 deletions
diff --git a/source/ap/cdparanoia/cdparanoia.SlackBuild b/source/ap/cdparanoia/cdparanoia.SlackBuild
index d0d13e1de..7d54183d8 100755
--- a/source/ap/cdparanoia/cdparanoia.SlackBuild
+++ b/source/ap/cdparanoia/cdparanoia.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2014 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2014, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,28 +20,37 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=cdparanoia
VERSION=III-10.2
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr '-' '_')-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-cdparanoia
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -76,9 +85,9 @@ OPT="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--includedir=/usr/include/cdda \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
-make $NUMJOBS OPT="$SLKCFLAGS" || make OPT="$SLKCFLAGS" || exit 1
+make $NUMJOBS OPT="$SLKCFLAGS" || make OPT="$SLKCFLAGS" || make || exit 1
# Manual install:
install -d $PKG/usr/bin